ghc-7.10.2: The GHC API

Safe Haskell | Safe
Language | Haskell2010

Config

# Documentation

data IntegerLibrary

Constructors

IntegerGMP |
IntegerGMP2 |
IntegerSimple |

Instances

Eq IntegerLibrary |

cBuildPlatformString :: String

cHostPlatformString :: String

cTargetPlatformString :: String

cProjectName :: String

cProjectGitCommitId :: String

cProjectVersion :: String

cProjectVersionInt :: String

cProjectPatchLevel :: String

cProjectPatchLevel1 :: String

cProjectPatchLevel2 :: String

cBooterVersion :: String

cStage :: String

cIntegerLibrary :: String

cIntegerLibraryType :: IntegerLibrary

cSupportsSplitObjs :: String

cGhcWithInterpreter :: String

cGhcWithNativeCodeGen :: String

cGhcWithSMP :: String

cGhcRTSWays :: String

cGhcEnableTablesNextToCode :: String

cLeadingUnderscore :: String

cGHC_UNLIT_PGM :: String

cGHC_SPLIT_PGM :: String

cLibFFI :: Bool

cGhcThreaded :: Bool

cGhcDebugged :: Bool